summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorOlivier Fisette <ribosome@gentoo.org>2005-03-22 22:07:40 +0000
committerOlivier Fisette <ribosome@gentoo.org>2005-03-22 22:07:40 +0000
commitea490dac59990e74b7e3ebe30e9bfb671e19fe33 (patch)
tree971afa7e494d98b04174a05a94168e4377a1d47e /eclass
parentNew version. (diff)
downloadhistorical-ea490dac59990e74b7e3ebe30e9bfb671e19fe33.tar.gz
historical-ea490dac59990e74b7e3ebe30e9bfb671e19fe33.tar.bz2
historical-ea490dac59990e74b7e3ebe30e9bfb671e19fe33.zip
Versioning the embassy eclass.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/embassy-2.10.eclass78
-rw-r--r--eclass/embassy-2.9.eclass78
2 files changed, 156 insertions, 0 deletions
diff --git a/eclass/embassy-2.10.eclass b/eclass/embassy-2.10.eclass
new file mode 100644
index 000000000000..50688e942c69
--- /dev/null
+++ b/eclass/embassy-2.10.eclass
@@ -0,0 +1,78 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/embassy-2.10.eclass,v 1.1 2005/03/22 22:07:40 ribosome Exp $
+
+# Author Olivier Fisette <ribosome@gentoo.org>
+
+# This eclass is used to install EMBASSY programs (EMBOSS add-ons).
+
+# The inheriting ebuild should provide a "DESCRIPTION", "KEYWORDS" and, if
+# necessary, add "(R|P)DEPEND"encies. Additionnaly, the inheriting ebuild's
+# name must begin by "embassy-".
+
+inherit eutils
+
+ECLASS=embassy
+INHERITED="$INHERITED $ECLASS"
+
+# EMBOSS version needed for the EMBASSY packages
+EBOV="2.10.0"
+# The EMBASSY package name, retrieved from the inheriting ebuild's name
+EN=${PN:8}
+# The full name and version of the EMBASSY package (excluding the Gentoo
+# revision number)
+EF="$(echo ${EN} | tr "[:lower:]" "[:upper:]")-${PV}"
+
+DESCRIPTION="Based on the $ECLASS eclass"
+HOMEPAGE="http://emboss.sourceforge.net/"
+LICENSE="GPL-2"
+SRC_URI="ftp://ftp.uk.embnet.org/pub/EMBOSS/EMBOSS-${EBOV}.tar.gz
+ ftp://ftp.uk.embnet.org/pub/EMBOSS/${EF}.tar.gz"
+
+SLOT="0"
+IUSE="X png"
+
+DEPEND="=sci-biology/emboss-${EBOV}*
+ X? ( virtual/x11 )
+ png? ( sys-libs/zlib
+ media-libs/libpng
+ >=media-libs/gd-1.8
+ )"
+
+S=${WORKDIR}/EMBOSS-${EBOV}/embassy/${EF}
+
+embassy_src_unpack() {
+ unpack ${A}
+ mkdir EMBOSS-${EBOV}/embassy
+ mv ${EF} EMBOSS-${EBOV}/embassy/
+ cp /usr/$(get_libdir)/libplplot.la EMBOSS-${EBOV}/plplot/
+ cp /usr/$(get_libdir)/libajax.la EMBOSS-${EBOV}/ajax/
+ cp /usr/$(get_libdir)/libajaxg.la EMBOSS-${EBOV}/ajax/
+ cp /usr/$(get_libdir)/libnucleus.la EMBOSS-${EBOV}/nucleus/
+}
+
+embassy_src_compile() {
+ local EXTRA_CONF
+ ! use X && EXTRA_CONF="${EXTRA_CONF} --without-x"
+ ! use png && EXTRA_CONF="${EXTRA_CONF} --without-pngdriver"
+ ./configure --host=${CHOST} \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --datadir=/usr/share \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ ${EXTRA_CONF} || die
+ emake || die "Before reporting this error as a bug, please make sure you compiled
+ EMBOSS and the EMBASSY packages with the same \"USE\" flags. Failure to
+ do so may prevent the compilation of some EMBASSY packages, or cause
+ runtime problems with some EMBASSY programs. For example, if you
+ compile EMBOSS with \"png\" support and then try to build DOMAINATRIX
+ without \"png\" support, compilation will fail when linking the binaries."
+}
+
+embassy_src_install() {
+ einstall || die
+ dodoc AUTHORS ChangeLog NEWS README
+}
+
+EXPORT_FUNCTIONS src_unpack src_compile src_install
diff --git a/eclass/embassy-2.9.eclass b/eclass/embassy-2.9.eclass
new file mode 100644
index 000000000000..ef05663bdd75
--- /dev/null
+++ b/eclass/embassy-2.9.eclass
@@ -0,0 +1,78 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/embassy-2.9.eclass,v 1.1 2005/03/22 22:07:40 ribosome Exp $
+
+# Author Olivier Fisette <ribosome@gentoo.org>
+
+# This eclass is used to install EMBASSY programs (EMBOSS add-ons).
+
+# The inheriting ebuild should provide a "DESCRIPTION", "KEYWORDS" and, if
+# necessary, add "(R|P)DEPEND"encies. Additionnaly, the inheriting ebuild's
+# name must begin by "embassy-".
+
+inherit eutils
+
+ECLASS=embassy
+INHERITED="$INHERITED $ECLASS"
+
+# EMBOSS version needed for the EMBASSY packages
+EBOV="2.9.0"
+# The EMBASSY package name, retrieved from the inheriting ebuild's name
+EN=${PN:8}
+# The full name and version of the EMBASSY package (excluding the Gentoo
+# revision number)
+EF="$(echo ${EN} | tr "[:lower:]" "[:upper:]")-${PV}"
+
+DESCRIPTION="Based on the $ECLASS eclass"
+HOMEPAGE="http://emboss.sourceforge.net/"
+LICENSE="GPL-2"
+SRC_URI="ftp://ftp.uk.embnet.org/pub/EMBOSS/EMBOSS-${EBOV}.tar.gz
+ ftp://ftp.uk.embnet.org/pub/EMBOSS/${EF}.tar.gz"
+
+SLOT="0"
+IUSE="X png"
+
+DEPEND="=sci-biology/emboss-${EBOV}*
+ X? ( virtual/x11 )
+ png? ( sys-libs/zlib
+ media-libs/libpng
+ >=media-libs/gd-1.8
+ )"
+
+S=${WORKDIR}/EMBOSS-${EBOV}/embassy/${EF}
+
+embassy_src_unpack() {
+ unpack ${A}
+ mkdir EMBOSS-${EBOV}/embassy
+ mv ${EF} EMBOSS-${EBOV}/embassy/
+ cp /usr/$(get_libdir)/libplplot.la EMBOSS-${EBOV}/plplot/
+ cp /usr/$(get_libdir)/libajax.la EMBOSS-${EBOV}/ajax/
+ cp /usr/$(get_libdir)/libajaxg.la EMBOSS-${EBOV}/ajax/
+ cp /usr/$(get_libdir)/libnucleus.la EMBOSS-${EBOV}/nucleus/
+}
+
+embassy_src_compile() {
+ local EXTRA_CONF
+ ! use X && EXTRA_CONF="${EXTRA_CONF} --without-x"
+ ! use png && EXTRA_CONF="${EXTRA_CONF} --without-pngdriver"
+ ./configure --host=${CHOST} \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --datadir=/usr/share \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ ${EXTRA_CONF} || die
+ emake || die "Before reporting this error as a bug, please make sure you compiled
+ EMBOSS and the EMBASSY packages with the same \"USE\" flags. Failure to
+ do so may prevent the compilation of some EMBASSY packages, or cause
+ runtime problems with some EMBASSY programs. For example, if you
+ compile EMBOSS with \"png\" support and then try to build DOMAINATRIX
+ without \"png\" support, compilation will fail when linking the binaries."
+}
+
+embassy_src_install() {
+ einstall || die
+ dodoc AUTHORS ChangeLog NEWS README
+}
+
+EXPORT_FUNCTIONS src_unpack src_compile src_install